.TH CosNotifyFilter_FilterFactory 3 "cosNotification  1.1.11" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosNotifyFilter_FilterFactory \- This module implements the OMG CosNotifyFilter::FilterFactory interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosNotification/include/*\&.hrl")\&.\fR

.SH EXPORTS
.LP
.B
create_filter(FilterFactory, Grammar) -> Reply
.br
.RS
.TP
Types
FilterFactory = #objref
.br
Grammar = string()
.br
Reply = Filter | {\&'EXCEPTION\&', #\&'CosNotifyFilter_InvalidGrammar\&'{}}
.br
Filter = #objref
.br
.RE
.RS
.LP
This operation creates a new Filter object, under the condition that Grammar given is supported\&. Currently, only \fI"EXTENDED_TCL"\fR is supported\&.
.RE
.LP
.B
create_mapping_filter(FilterFactory, Grammar) -> Reply
.br
.RS
.TP
Types
FilterFactory = #objref
.br
Grammar = string()
.br
Reply = MappingFilter | {\&'EXCEPTION\&', #\&'CosNotifyFilter_InvalidGrammar\&'{}}
.br
Filter = #objref
.br
.RE
.RS
.LP
This operation creates a new MappingFilter object, under the condition that Grammar given is supported\&. Currently, only \fI"EXTENDED_TCL"\fR is supported\&.
.RE
